Partners
Update partner
You can only specify properties to update in the properties field as this method will PATCH the existing partner.
Properties not found in the properties field will not be modified.
PATCH
/
v3
/
partners
/
{id}
Update partner
curl --request PATCH \
--url https://api.example.com/v3/partners/{id} \
--header 'Content-Type: application/json-patch+json' \
--data '
{
"id": 123,
"name": "<string>",
"onboardingStageId": 123,
"onboardingStageIds": [
123
],
"programLevelIds": [
123
],
"properties": {},
"currency": "<string>",
"groupId": 123,
"ownerUserId": 123,
"sinceDate": "2023-11-07T05:31:56Z",
"referralCode": "<string>",
"payoutProvider": {
"details": {}
},
"paypalEmail": "<string>",
"language": "<string>",
"prospectionStage": "<string>"
}
'import requests
url = "https://api.example.com/v3/partners/{id}"
payload = {
"id": 123,
"name": "<string>",
"onboardingStageId": 123,
"onboardingStageIds": [123],
"programLevelIds": [123],
"properties": {},
"currency": "<string>",
"groupId": 123,
"ownerUserId": 123,
"sinceDate": "2023-11-07T05:31:56Z",
"referralCode": "<string>",
"payoutProvider": { "details": {} },
"paypalEmail": "<string>",
"language": "<string>",
"prospectionStage": "<string>"
}
headers = {"Content-Type": "application/json-patch+json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json-patch+json'},
body: JSON.stringify({
id: 123,
name: '<string>',
onboardingStageId: 123,
onboardingStageIds: [123],
programLevelIds: [123],
properties: {},
currency: '<string>',
groupId: 123,
ownerUserId: 123,
sinceDate: '2023-11-07T05:31:56Z',
referralCode: '<string>',
payoutProvider: {details: {}},
paypalEmail: '<string>',
language: '<string>',
prospectionStage: '<string>'
})
};
fetch('https://api.example.com/v3/partners/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"name": "<string>",
"groupId": 123,
"onboardingStatus": "Unknown",
"status": "Unknown",
"source": "Unknown",
"company": {
"id": 123,
"name": "<string>",
"websiteUrls": [
"<string>"
]
},
"mainContact": {
"id": 123,
"email": "<string>",
"firstname": "<string>",
"lastname": "<string>",
"jobTitle": "<string>",
"phoneNumber": "<string>",
"linkedInProfileUrl": "<string>",
"creationDate": "2023-11-07T05:31:56Z",
"isMainContact": true
},
"onboardingStage": {
"id": 123,
"name": "<string>",
"description": "<string>",
"order": 123,
"onboardingPipelineId": 123,
"onboardingPipelineName": "<string>"
},
"onboardingStages": [
{
"id": 123,
"name": "<string>",
"description": "<string>",
"order": 123,
"onboardingPipelineId": 123,
"onboardingPipelineName": "<string>"
}
],
"levels": [
{
"programLevelId": 123,
"programLevelName": "<string>",
"programId": 123,
"programName": "<string>"
}
],
"sinceDate": "2023-11-07T05:31:56Z",
"partnerTypeId": 123,
"partnerTypeName": "<string>",
"properties": {},
"ownerUserId": 123,
"owner": {
"id": 123,
"email": "<string>",
"firstName": "<string>",
"lastName": "<string>"
},
"referralCode": "<string>",
"paypalEmail": "<string>",
"currency": "<string>",
"payoutProvider": {
"type": "Unknown",
"details": {}
},
"language": "<string>"
}Path Parameters
The ID of the partner to update.
Body
application/json-patch+jsonapplication/jsontext/jsonapplication/*+json
Available options:
Unknown, Active, Prospect, Rejected, Applicant, Inactive, Onboarding Show child attributes
Show child attributes
Show child attributes
Show child attributes
Deprecated. Use PayoutProvider and PayoutProvider
Response
Partner updated
Available options:
Unknown, NotOnboarded, InProgress, Completed Available options:
Unknown, Active, Prospect, Rejected, Applicant, Inactive, Onboarding Available options:
Unknown, ManuallyAdded, SignupForm Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Update partner
